@import url('https://fonts.googleapis.com/css2?family=Helvetica+Textbook:wght@700&display=swap');

body {
    font-family: 'Arial', sans-serif;
    background-color: #d3d3d3; /* Grauer Hintergrund */
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    text-align: center;
    background-color: #fff; /* Weißer Hintergrund für das Container */
    padding: 40px; /* Abstand im Container */
    border-radius: 20px; /* Abgerundete Ecken */
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1); /* Schatten für 3D-Effekt */
    max-width: 90%; /* Maximal 90% der Breite für mobile Geräte */
}

h1 {
    font-size: 3em; /* Größere Schriftgröße */
    margin: 40px 0 20px; /* Abstand nach oben und unten */
    color: #000; /* Schwarze Farbe */
    text-align: center;
}

h2 {
    font-size: 1.5em;
    margin: 20px 0 10px;
    color: #000;
    text-align: center;
}

.submit-button {
    margin: auto;
    padding: 35px; /* Größere Fläche für den Button */
    font-size: 2.5em; /* Größere Schrift für den Button */
    color: #fff; /* Weißer Text */
    background-color: #e63946; /* Roter Hintergrund */
    border: none;
    border-radius: 50%; /* Runde Form */
    cursor: pointer;
    transition: background-color 0.3s; /* Animation bei Hover */
}

.submit-button:hover {
    background-color: #d62839; /* Dunkleres Rot bei Hover */
}

.training-text {
    font-size: 1.8em; /* Größere Größe für den Text */
    margin: 20px 0; /* Abstand nach oben und unten */
    color: #000; /* Schwarze Farbe */
}

.footer {
    margin-top: 20px;
    font-size: 1em; /* Größere Schriftgröße für den Footer */
    color: #666;
    font-family: 'Helvetica Textbook', sans-serif; /* Schriftart für Footer */
}

.footer-link {
    color: #0066cc; /* Blaue Farbe für den Link */
    text-decoration: none; /* Unterstreichung entfernen */
}

.footer-link:hover {
    text-decoration: underline; /* Unterstreichung bei Hover */
}

/* Media Queries für mobile Ansicht */
@media (max-width: 600px) {
    h1 {
        font-size: 2.5em; /* Kleinere Schriftgröße für Mobilgeräte */
    }

    .submit-button {
        padding: 25px; /* Kleinere Fläche für den Button */
        font-size: 1.8em; /* Kleinere Schrift für den Button */
    }

    .training-text {
        font-size: 1.5em; /* Größere Schrift für den Text */
    }

    .footer {
        font-size: 0.8em; /* Kleinere Schriftgröße für den Footer */
    }
}

input, button, textarea
{
  font-family: monospace;
  font-size: 20px;
}

input[type = number]
{
  background-color: #ecebeb;
  font-size: 30px;
  width: 3ex;
  text-align: center;
  -moz-appearance: textfield;
  appearance: textfield;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button
{
  -webkit-appearance: none;
}

input[type = submit]
{
  font-family: sans-serif;
}

input[type = submit][disabled]
{
  color: #888686;
}

table th, table td
{
  padding: 5px 5px 0px 0px;
  vertical-align: top;
  text-align: left;
}

ul li
{
  font-size: 1.2em;
  text-align: left;
  padding: 5px 0px 5px 0px;
}

hr
{
  margin: 30px;
}

.left
{
  text-align: left;
}

.error
{
  color: red;
  font-weight: bold;
}

.logo
{
  display: block;
  alignment: center;
  margin: 0px auto 0px auto;
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100px;
  background-color: white;
  border: solid 3px red;
}

.box
{
  background-color: #fbd2d3;
  text-align: left;
  border-radius: 10px;
  border: solid 3px black;
  line-height: 1.5;
  padding: 10px;
  margin: 10px auto 50px auto;
}

.box h2
{
  text-align: left;
}

.message
{
  background-color: #fbd2d3;
  text-align: center;
  border-radius: 10px;
  border: solid 3px black;
  line-height: 1.5;
  padding: 20px;
  margin: 10px auto 50px auto;
  max-width: 80%;
}

.legal-bold
{
  font-weight: bold;
}

.legal
{
  font-size: 10px;
  margin-top: 20px;
}

.legal a
{
  color: black;
}
